All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.graphics
Class BaseGraphSupport

    com.sas.actionprovider.support.graphics.BaseGraphSupport

All Implemented Interfaces:
  GraphAreaInterface

Direct Known Subclasses:
  HttpGraphSupport

    public abstract class BaseGraphSupport

implements GraphAreaInterface

In the context of the ActionProvider framework, this Support class assists in the registering and retrieval of actions for relational viewer components such as the graph components.

Field Summary
`static java.lang.String` | `ASCENDING_SORT_ACTION` The actionType key used to define the default sort action for an graphics.
`static java.lang.String` | `DESCENDING_SORT_ACTION` The actionType key used to define the default descending sort action for an graphics.

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.support.graphics.GraphAreaInterface
`ANALYSIS_LABEL_AREA, CATEGORIZATION_LABEL_AREA, CATEGORIZATION_VALUE_AREA, DATA_VALUE_AREA`

Constructor Summary
`BaseGraphSupport(java.lang.Class actionClass)` Constructor

Method Summary
`protected void` | `createDefaultActions()` Initializes the actionClass property and creates the default actions that this class supports.
`void` | `initialize()` Initializes the support class.

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getAction, getActionId, getActionOrderList, getActionProvider, getActions, getActionScopeAttribute, getActionScopeAttributeMap, getDefaultAction, getLocale, listActionTypes, listAreaTypes, listDefaultActions, newActionInstance, reset, setAction, setActionOrderList, setActionProvider, setLocale`

Field Detail

### ASCENDING_SORT_ACTION

    public static final java.lang.String ASCENDING_SORT_ACTION

  The actionType key used to define the default sort action for an graphics.

  See Also:
    Constant Field Values

### DESCENDING_SORT_ACTION

    public static final java.lang.String DESCENDING_SORT_ACTION

  The actionType key used to define the default descending sort action for an graphics.

  See Also:
    Constant Field Values

Constructor Detail

### BaseGraphSupport

    public BaseGraphSupport(java.lang.Class actionClass)

  Constructor

  Parameters:
    `actionClass` - The class used to instantiate new actions.

Method Detail

### initialize

    public void initialize()

  Description copied from class: `BaseActionProviderSupport`
  Initializes the support class.

  Called by the ActionProvider after it sets the locale on this support class.

  Specified by:
    `initialize` in class `BaseActionProviderSupport`
  See Also:
    `BaseActionProviderSupport.setLocale(java.util.Locale)`

### createDefaultActions

    protected void createDefaultActions()

  Initializes the actionClass property and creates the default actions that this class supports. This method is called by the action provider that instantiates this support class.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.